curl --request PATCH \
--url 'https://api.computer.stateset.app/api/v1/webhooks/{endpoint_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"url": "https://example.com/webhooks/stateset",
"events": [
"string"
],
"is_active": true
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://example.com/webhooks/stateset",
"events": [
"string"
],
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Update Webhook Endpoint V1
Update url / events / active flag on a registered webhook endpoint. Cannot rotate the signing secret — for that, delete and re-create…
PATCH
/
api
/
v1
/
webhooks
/
{endpoint_id}
curl --request PATCH \
--url 'https://api.computer.stateset.app/api/v1/webhooks/{endpoint_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"url": "https://example.com/webhooks/stateset",
"events": [
"string"
],
"is_active": true
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://example.com/webhooks/stateset",
"events": [
"string"
],
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Update url / events / active flag on a registered webhook endpoint.
Cannot rotate the signing secret — for that, delete and re-create.
Empty PATCH (no fields) returns 422.
Path parameters
string (uuid)
required
Request body
UpdateWebhookEndpointRequest
string,null
string[],null
boolean,null
Response
WebhookEndpointSummary
string
required
string
required
string[]
required
boolean
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
curl --request PATCH \
--url 'https://api.computer.stateset.app/api/v1/webhooks/{endpoint_id}' \
--header "X-API-Key: $STATESET_COMPUTER_USE_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"url": "https://example.com/webhooks/stateset",
"events": [
"string"
],
"is_active": true
}'
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"url": "https://example.com/webhooks/stateset",
"events": [
"string"
],
"is_active": true,
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026